Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6356 - Kudzu seg fault
Summary: Kudzu seg fault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 23:22 UTC by Bradley
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 17:10:29 UTC


Attachments (Terms of Use)

Description Bradley 1999-10-25 23:22:59 UTC
Kudzu segfaults on my system if I run it after loading the
lp driver. An strace shows that it dies just after reading
/proc/parport/0/autoprobe. My printer (an HJ-400) is too old
for probing, and so this file is empty.

Comment 1 Bill Nottingham 1999-10-25 23:32:59 UTC
/proc/parport/0/autoprobe is empty??

Do you have parport_probe loaded?

(This is mainly for informational purposes; it still is a bug. :) )

BTW, bug is fixed in kudzu-0.23-1, which will be in next rawhide.

Comment 2 Anonymous 1999-10-25 23:38:59 UTC
I'm _almost_ certain I do. (I'm not at home now).

Also, the /usr/share/kudzu/printers (I can't remeber the name) file
lists the HJ-400 with the epson driver, along with a comment that it
only works in 180x360 mode. I don't know what this file does, given
that the HJ-400 can't be detected by kudzu, but the epson driver
really only works well in 180x180 mode for the HJ-400

The lq850 driver (not shipped with redhat, I'm about to file a bug
against ghostscript on that) supports 360x360. (The HJ-400 emulates an
epson lq by default. It claims to emulate an IBM PS/2 printer by
changing a few settings on the printer, but I've never got that to
work, even under windows)

Comment 3 Bill Nottingham 1999-10-26 00:30:59 UTC
The stuff in printertable currently isn't used by much of anything.

It's generated from
http://www.picante.com/~gtaylor/pht/printer_list.cgi

if you'd like to update the master.

Comment 4 Anonymous 1999-10-30 08:51:59 UTC
I've now looked, and I _don't_ have parport_probe loaded (or even
compiled). I did at one stage, but my printer doesn't report anything,
so I took it out of the kernel compile, since I couldn't see any point
in it. I can't remember if the file was empty, or if there was just no
data (apart from the headers) in it.

I've updated the printer database. Thanks for the pointer. What about
a note in /usr/doc/kudzu, or at the top of the printertable file?

Comment 5 Bill Nottingham 1999-11-22 17:10:59 UTC
Will look at adding the note in the next release of kudzu.


Note You need to log in before you can comment on or make changes to this bug.